Extending Qt Creator Manual | HighlightScrollBar

Extending Qt Creator Manual 4.3.0

# HighlightScrollBar Class

(Core::HighlightScrollBar)

- List of all members, including inherited members

## Public Types

enum | Priority { LowPriority, NormalPriority, HighPriority, HighestPriority }

## Public Functions

| HighlightScrollBar(Qt::Orientation orientation, QWidget *parent = 0)
void | addHighlight(Id category, int highlight)
void | addHighlights(Id category, QSet<int> highlights)
void | removeAllHighlights()
void | removeHighlights(Id id)
void | setColor(Id category, Utils::Theme::Color color)
void | setPriority(Id category, Priority prio)
void | setRangeOffset(float offset)
void | setVisibleRange(float visibleRange)

## Member Type Documentation

### enum HighlightScrollBar::Priority

## Member Function Documentation

### HighlightScrollBar::HighlightScrollBar(Qt::Orientation orientation, QWidget *parent = 0)

Default constructs an instance of HighlightScrollBar.

### void HighlightScrollBar::addHighlight(Id category, int highlight)

### void HighlightScrollBar::addHighlights(Id category, QSet<int> highlights)

### void HighlightScrollBar::removeAllHighlights()

### void HighlightScrollBar::removeHighlights(Id id)

### void HighlightScrollBar::setColor(Id category, Utils::Theme::Color color)

### void HighlightScrollBar::setPriority(Id category, Priority prio)

### void HighlightScrollBar::setRangeOffset(float offset)

### void HighlightScrollBar::setVisibleRange(float visibleRange)